> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bnb: DEX Spot Volume

> Total amount of daily spot volume from major DEXs. Only includes volumes from fee-paying liquidity pools.

## Overview

* **Denomination:** USD
* **Type:** USD Value
* **Interval:** Daily
* **Source:** Blockworks

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "x-api-key: YOUR_API_KEY" \
    "https://api.blockworks.com/v1/metrics/dex-spot-volume-total-usd?project=bnb"
  ```

  ```typescript TypeScript theme={null}
  const res = await fetch(
    'https://api.blockworks.com/v1/metrics/dex-spot-volume-total-usd?project=bnb',
    { headers: { 'x-api-key': 'YOUR_API_KEY' } }
  )
  const data = await res.json()
  ```

  ```python Python theme={null}
  import requests

  r = requests.get(
    'https://api.blockworks.com/v1/metrics/dex-spot-volume-total-usd',
    headers={'x-api-key': 'YOUR_API_KEY'},
    params={'project': 'bnb'}
  )
  data = r.json()
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "bnb": [
    {
      "date": "2026-04-19",
      "value": 1477135779.0464137
    },
    {
      "date": "2026-04-18",
      "value": 1299076341.644177
    },
    {
      "date": "2026-04-17",
      "value": 1531198506.922072
    },
    {
      "date": "2026-04-16",
      "value": 1472612659.7113073
    },
    {
      "date": "2026-04-15",
      "value": 1360496250.5947502
    }
  ]
}
```

## Notes

* Intervals are daily unless otherwise noted.
* Data is updated daily and may be revised after late-arriving data.


## OpenAPI

````yaml GET /v1/metrics/dex-spot-volume-total-usd
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/dex-spot-volume-total-usd:
    get:
      summary: Dex Spot Volume Total Usd
      description: Retrieve the 'dex-spot-volume-total-usd' metric for supported projects.
      operationId: MetricController_getResults_v1_dex_spot_volume_total_usd
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - arbitrum
              - avalanche
              - base
              - bnb
              - ethereum
              - fogo
              - hyperevm
              - hyperliquid
              - ink
              - katana
              - megaeth
              - solana
              - unichain
              - worldchain
            example: arbitrum
          examples:
            arbitrum:
              value: arbitrum
              summary: Arbitrum
            avalanche:
              value: avalanche
              summary: Avalanche
            base:
              value: base
              summary: Base
            bnb:
              value: bnb
              summary: Bnb
            ethereum:
              value: ethereum
              summary: Ethereum
            fogo:
              value: fogo
              summary: Fogo
            hyperevm:
              value: hyperevm
              summary: Hyperevm
            hyperliquid:
              value: hyperliquid
              summary: Hyperliquid
            ink:
              value: ink
              summary: Ink
            katana:
              value: katana
              summary: Katana
            megaeth:
              value: megaeth
              summary: Megaeth
            solana:
              value: solana
              summary: Solana
            unichain:
              value: unichain
              summary: Unichain
            worldchain:
              value: worldchain
              summary: Worldchain
            multi:
              value: arbitrum,avalanche
              summary: Arbitrum + Avalanche
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456.789
                  - date: '2025-08-11'
                    value: 234567.89
                  - date: '2025-08-12'
                    value: 345678.901
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````